section.all-courses {
    padding: 47px 0 0;
    --background-image: url('../img/background-testimonials.webp');
    background-image: var(--background-image);
    background-size: cover;
    background-position: center;
    position: relative;
}

section.all-courses:after {
    content: "";
    display: block;
    width: 100%;
    height: 40%;
    position: absolute;
    top: 0;
    left: 0;
    background: linear-gradient(180deg, rgba(11, 40, 57, 1) 0%, rgba(11, 40, 57, 0) 100%);
    z-index: 1;
}

section.all-courses .container {
    display: flex;
    flex-direction: column;
    align-items: stretch;
    justify-content: center;
    gap: 64px;
    position: relative;
    z-index: 2;
}




.filters-courses .filters-row {
    display: flex;
    gap: 1rem;
    align-items: flex-end;
    justify-content: space-between;
    width: 100%;
}

.filter-search {
    width: 100%;
}

.filters-holder {
    display: flex;
    flex-direction: column;
    gap: 13px;
}

.filters-holder h3 {
    color: #FFF;
    font-family: var(--monserrat-font);
    font-size: 21px;
    font-style: normal;
    font-weight: 500;
    line-height: normal;
}

.filter-search input[type="search"] {
    padding: .6rem .8rem;
    width: 100%;
    max-width: 500px;
    background-color: transparent;
    border: 1px solid #fff;
    border-radius: 19px;
    color: #fff;
}

.filter-semesters {
    display: flex;
    gap: .5rem;
    align-items: center;
    justify-content: flex-end;
}

.pill {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    gap: .5rem;
    padding: .4rem .8rem;
    border: 1px solid #ddd;
    border-radius: 999px;
    cursor: pointer;
    user-select: none;
    min-width: 125px;
}

.pill input {
    display: none;
}

.pill.is-active,
.pill:hover {
    background: var(--stroke-color);
}

.filter-actions .btn-apply {
    padding: .5rem .9rem;
}

.filter-actions .btn-clear {
    margin-left: .4rem;
}

.courses-grid-inner {
    display: grid;
    grid-template-columns: repeat(12, 1fr);
    gap: 1rem;
}

.course-card {
    grid-column: span 12;
    border: 1px solid #eee;
    border-radius: 12px;
    margin-top: 28px;
    display: flex;
    gap: 15px;
    padding: 44px 36px 36px;
    flex-direction: column;
    align-items: center;
    border-radius: 11.969px;
    border: 1px solid rgba(255, 255, 255, 0.58);
    background: linear-gradient(186deg, rgba(255, 253, 253, 0.40) -20.85%, rgba(255, 253, 253, 0.20) -20.83%, rgba(255, 255, 255, 0.00) 116.4%);
    backdrop-filter: blur(59.847312927246094px);
}


a.course-thumb {
    transform: translateY(-70px);
    position: absolute;
    width: 56px;
    height: 56px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
    overflow: hidden;
}

a.course-thumb img {
    display: block;
    height: 100%;
    object-fit: cover;
}

.course-info {
    display: flex;
    flex-direction: column;
    gap: 15px;
    text-align: center;
    justify-content: space-between;
    height: 100%;
}

.course-info .course-title a {
    color: var(--text-color, #FFF);
    text-align: center;
    font-family: var(--monserrat-font);
    font-size: 20px;
    font-style: normal;
    font-weight: 700;
    line-height: 130%;
}

.course-info-footer {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 15px;
}

.course-link {
    display: flex;
    width: 173px;
    height: 30px;
    padding: 4px 26.474px;
    justify-content: center;
    align-items: center;
    gap: 16.546px;
    flex-shrink: 0;
    border-radius: 25px;
    border: 1px solid #FFF;
    color: var(--text-color, #FFF);
    font-family: var(--monserrat-font);
    font-size: 16px;
    font-style: normal;
    font-weight: 500;
    line-height: 140%;
    text-wrap: nowrap;
    transition: all 0.3s ease 0s;
}

.course-link:hover {
    color: var(--color-primary);
    background-color: #fff;
}

.course-info .course-price {
    color: var(--icon-color, #FCD8A6);
    text-align: center;
    font-family: var(--monserrat-font);
    font-size: 20px;
    font-style: normal;
    font-weight: 400;
    line-height: 18px;
}

@media(min-width:640px) {
    .course-card {
        grid-column: span 6;
    }
}

@media(min-width:1024px) {
    .course-card {
        grid-column: span 4;
    }
}

.pill {
    position: relative;
}

.pill input {
    position: absolute;
    opacity: 0;
    width: 1px;
    height: 1px;
    pointer-events: none;
}

.pill.is-active {
    background: var(--stroke-color);
    border-color: var(--stroke-color);
}

.pill input:checked+span {
    font-weight: 600;
}


.courses-return {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 26px;
    width: 100%;
    padding: 0px 0 0;
}

@media screen and (max-width: 768px) {
    section.all-courses {
        padding: 47px 0 60px;
    }

    section.all-courses .container {
        padding: 0 20px;
        gap: 24px;
    }

    .filters-courses .filters-row {
        flex-direction: column;
    }

    .pill {
        min-width: 28vw;
        font-size: 12px;
    }
}


body.page-template-page-class-registration .container.course-offerings-bottom {
    margin-top: 89px;
    max-width: 868px;
    padding-bottom: 300px;
    gap: 0;
}

body.page-template-page-class-registration .container.course-offerings-bottom p {
    color: var(--color-text);
    text-align: justify;
    font-family: var(--monserrat-font);
    font-size: 20px;
    font-style: normal;
    font-weight: 400;
    line-height: 28px;
    letter-spacing: -0.36px;
    margin-bottom: 23px;
}

body.page-template-page-class-registration .container.course-offerings-bottom p.feature-p {
    color: var(--bg-button);
}

body.page-template-page-class-registration .container.course-offerings-bottom p a {
    color: var(--bg-button);
    font-weight: 700;
}

body.page-template-page-class-registration .container.course-offerings-bottom .awards {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    gap: 32px;
    padding-top: 32px;
}